Bug 187143 - logwatch tries to show "df -h" for cdrom/dvd too
Summary: logwatch tries to show "df -h" for cdrom/dvd too
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-28 19:19 UTC by feily
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 07:46:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (5.30 KB, application/octet-stream)
2006-03-29 13:21 UTC, feily
no flags Details
strace logwatch --print --service zz-disk_space (404.82 KB, application/octet-stream)
2006-03-29 16:24 UTC, feily
no flags Details

Description feily 2006-03-28 19:19:22 UTC
Description of problem:
logwatch tries to show "df -h" for cdrom/dvd too

Version-Release number of selected component (if applicable):
logwatch-7.1-8

How reproducible:
always

Steps to Reproduce:
1. put cd/dvd in cd/dvd drive
2. run logwatch or wait for daily output
3. see Disk Space Section
  
Actual results:

 --------------------- Disk Space Begin ------------------------ 

 Filesystem                            Size   Used  Avail Use%  Mounted on
 df: `/media/foo': Permission denied
 /dev/hdb1                             114G    37G    71G  35%  /home
 /dev/hda1                             9.5G   2.9G   6.2G  32%  /
 
 
 ---------------------- Disk Space End ------------------------- 



Expected results:


Additional info:

Comment 1 Ivana Varekova 2006-03-29 12:45:16 UTC
Could you please attach the strace of command df -h -P here. 

Comment 2 feily 2006-03-29 13:21:10 UTC
Created attachment 126980 [details]
strace

If I run df -h from root or my local user account, there is no Permission
denied error, nevertheless here is the strace output.

Comment 3 Ivana Varekova 2006-03-29 13:47:17 UTC
Thank you for your fast reply. The trace of df -h command looks right. Could you
please attach the strace of command "logwatch --print --service zz-disk_space". 

Comment 4 feily 2006-03-29 16:24:51 UTC
Created attachment 126999 [details]
strace logwatch --print --service zz-disk_space

Comment 5 Ivana Varekova 2006-04-03 07:46:11 UTC
There was some problem with mounted directory, when the reported logwatch output
was produced. The attached strace is right, so there is not any problem now.


Note You need to log in before you can comment on or make changes to this bug.